org.apache.poi.hemf.record.emfplus

## Enum HemfPlusPen.EmfPlusDashedLineCapType

- java.lang.Object
- - java.lang.Enum<HemfPlusPen.EmfPlusDashedLineCapType>
  - - org.apache.poi.hemf.record.emfplus.HemfPlusPen.EmfPlusDashedLineCapType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HemfPlusPen.EmfPlusDashedLineCapType>
  Enclosing class:
    HemfPlusPen

      public static enum HemfPlusPen.EmfPlusDashedLineCapType
      extends java.lang.Enum<HemfPlusPen.EmfPlusDashedLineCapType>

  The DashedLineCapType enumeration defines types of line caps to use at the ends of dashed lines that are drawn with graphics pens.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLAT` Specifies a flat dashed line cap.
    `ROUND` Specifies a round dashed line cap.
    `TRIANGLE` Specifies a triangular dashed line cap.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HemfPlusPen.EmfPlusDashedLineCapType` | `valueOf(int id)`
    `static HemfPlusPen.EmfPlusDashedLineCapType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HemfPlusPen.EmfPlusDashedLineCapType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLAT

          public static final HemfPlusPen.EmfPlusDashedLineCapType FLAT

      Specifies a flat dashed line cap.

    - #### ROUND

          public static final HemfPlusPen.EmfPlusDashedLineCapType ROUND

      Specifies a round dashed line cap.

    - #### TRIANGLE

          public static final HemfPlusPen.EmfPlusDashedLineCapType TRIANGLE

      Specifies a triangular dashed line cap.

  - ### Field Detail

    - #### id

          public final int id

  - ### Method Detail

    - #### values

          public static HemfPlusPen.EmfPlusDashedLineCapType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HemfPlusPen.EmfPlusDashedLineCapType c : HemfPlusPen.EmfPlusDashedLineCapType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HemfPlusPen.EmfPlusDashedLineCapType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HemfPlusPen.EmfPlusDashedLineCapType valueOf(int id)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.